Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Interface TrainingAlgorithm

All Known Implementing Classes:
  AbstractTrainer, BaumWelchSampler, BaumWelchTrainer

    public interface TrainingAlgorithm

Author:
  Matthew Pocock, Thomas Down

Method Summary
`double` | `getCurrentScore()`
`int` | `getCycle()`
`DP` | `getDP()`
`double` | `getLastScore()`
`void` | `train(SequenceDB db, double nullWeight, StoppingCriteria stopper)` Trains the sequences in db untill stopper says to finnish.

Method Detail

### getDP

    DP getDP()

### getLastScore

    double getLastScore()

### getCurrentScore

    double getCurrentScore()

### getCycle

    int getCycle()

### train

    void train(SequenceDB db,
               double nullWeight,
               StoppingCriteria stopper)
               throws IllegalSymbolException,
                      BioException

  Trains the sequences in db untill stopper says to finnish.

  Throws:
    `IllegalSymbolException`
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD